> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /experimental/retail-media/accounts/{account-id}/balances/{balance-id}

> Modify a balance for the given account id



## OpenAPI

````yaml https://api.criteo.com/experimental/retailmedia/open-api-specifications.json patch /experimental/retail-media/accounts/{account-id}/balances/{balance-id}
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Experimental
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /experimental/retail-media/accounts/{account-id}/balances/{balance-id}:
    patch:
      tags:
        - Balance
      summary: /experimental/retail-media/accounts/{account-id}/balances/{balance-id}
      description: Modify a balance for the given account id
      operationId: UpdateBalanceV1
      parameters:
        - name: account-id
          in: path
          description: The account of the balance
          required: true
          schema:
            type: string
        - name: balance-id
          in: path
          description: The balance to change the dates
          required: true
          schema:
            type: string
      requestBody:
        description: An object that represents the available options to modify a balance.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValueResourceInputOfUpdateBalanceModelV1'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityResourceOutcomeOfBalanceResponseV1'
      security:
        - oauth:
            - RetailMedia_Balance_Manage
components:
  schemas:
    ValueResourceInputOfUpdateBalanceModelV1:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ValueResourceOfUpdateBalanceModelV1'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    EntityResourceOutcomeOfBalanceResponseV1:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/EntityResourceOfBalanceResponseV1'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        entity.
    ValueResourceOfUpdateBalanceModelV1:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/UpdateBalanceModelV1'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    EntityResourceOfBalanceResponseV1:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/BalanceResponseV1'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A domain entity exposed by the API, identified by a unique id.
      nullable: true
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    UpdateBalanceModelV1:
      type: object
      properties:
        endDate:
          $ref: '#/components/schemas/NillableOfNullableOfDateOnly'
        memo:
          type: string
          description: Memo.
          nullable: true
        name:
          type: string
          description: Name of the balance.
          nullable: true
        retailerPoNumber:
          type: string
          description: Purchase Order number.
          nullable: true
        startDate:
          type: string
          description: Start date of the balance in the format YYYY-MM-DD.
          nullable: true
      additionalProperties: false
      description: >-
        An object that represents the available options to set when updating a
        Retail Media Balance.
    BalanceResponseV1:
      required:
        - balanceType
        - createdAt
        - deposited
        - endDate
        - memo
        - name
        - privateMarketBillingType
        - remaining
        - retailerPoNumber
        - spendType
        - spent
        - startDate
        - status
        - updatedAt
      type: object
      properties:
        balanceType:
          enum:
            - unknown
            - capped
            - uncapped
          type: string
          description: Type of the balance.
        createdAt:
          type: string
          description: Creation time of the balance.
          format: date-time
        deposited:
          type: number
          description: Amount of billable funds allotted to the balance.
          format: double
          nullable: true
        endDate:
          type: string
          description: End date of the balance in the format YYYY-MM-DD.
          nullable: true
        memo:
          type: string
          description: Memo.
          nullable: true
        name:
          type: string
          description: Name of the balance.
        privateMarketBillingType:
          enum:
            - notApplicable
            - billByRetailer
            - billByCriteo
            - unknown
          type: string
          description: Billing type for Private Market of the balance.
        remaining:
          type: number
          description: Amount of remaining funds of the balance.
          format: double
          nullable: true
        retailerPoNumber:
          type: string
          description: Purchase Order number.
          nullable: true
        spendType:
          enum:
            - unknown
            - onsite
            - offsite
            - offsiteAwareness
          type: string
          description: Spend Type of the balance.
        spent:
          type: number
          description: Amount of spent funds of the balance.
          format: double
          nullable: true
        startDate:
          type: string
          description: Start date of the balance in the format YYYY-MM-DD.
        status:
          enum:
            - unknown
            - scheduled
            - active
            - ended
          type: string
          description: Status of the balance.
        updatedAt:
          type: string
          description: Update time of the balance.
          format: date-time
      additionalProperties: false
      description: >-
        A Retail Media Balance used to determine the funds available for any or
        all campaigns in an account
      nullable: true
    NillableOfNullableOfDateOnly:
      type: object
      properties:
        value:
          type: string
          description: Underlying actual value
          nullable: true
      additionalProperties: false
      description: represents a value that can be set to null explicitly
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````